# Uses of Class
org.apache.qpid.proton.amqp.transport.Attach

Packages that use Attach
Package
Description
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec.transport
org.apache.qpid.proton.engine.impl

## Uses of Attach in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return Attach
Modifier and Type
Method
Description
`Attach`
Attach.`copy()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type Attach
Modifier and Type
Method
Description
`void`
FrameBody.FrameBodyHandler.`handleAttach(Attach attach, Binary payload, E context)`
Constructors in org.apache.qpid.proton.amqp.transport with parameters of type Attach
Modifier
Constructor
Description
``
`Attach(Attach other)`

## Uses of Attach in org.apache.qpid.proton.codec.transport

Methods in org.apache.qpid.proton.codec.transport that return Attach
Modifier and Type
Method
Description
`Attach`
AttachType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.transport that return types with arguments of type Attach
Modifier and Type
Method
Description
`Class<Attach>`
AttachType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.transport with parameters of type Attach
Modifier and Type
Method
Description
`protected List`
AttachType.`wrap(Attach val)`
Constructors in org.apache.qpid.proton.codec.transport with parameters of type Attach
Modifier
Constructor
Description
``
`AttachWrapper(Attach attach)`

## Uses of Attach in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type Attach
Modifier and Type
Method
Description
`void`
TransportImpl.`handleAttach(Attach attach, Binary payload, Integer channel)`